summaryrefslogtreecommitdiffstats
path: root/config
diff options
context:
space:
mode:
authorMichael DeHaan <mdehaan@mdehaan.rdu.redhat.com>2007-04-19 15:24:08 -0400
committerMichael DeHaan <mdehaan@mdehaan.rdu.redhat.com>2007-04-19 15:24:08 -0400
commit8a46265453503a5dfe04bf10d3019368fb032cf5 (patch)
tree1f965e2948079ae60d3b56c6edaef8d6b59d9119 /config
parentc9da67b5170b473895ce83feba2aa328cf5ec9f8 (diff)
downloadthird_party-cobbler-8a46265453503a5dfe04bf10d3019368fb032cf5.tar.gz
third_party-cobbler-8a46265453503a5dfe04bf10d3019368fb032cf5.tar.xz
third_party-cobbler-8a46265453503a5dfe04bf10d3019368fb032cf5.zip
Changes cobbler_syslogd to cobblerd, and this new daemon now offers koan
info over XMLRPC, allowing koan to stop needing to grok YAML. Older versions of koan will remain compatible over standard http://.
Diffstat (limited to 'config')
-rw-r--r--config/cobbler.conf14
-rwxr-xr-xconfig/cobblerd91
-rw-r--r--config/rsync.exclude11
3 files changed, 116 insertions, 0 deletions
diff --git a/config/cobbler.conf b/config/cobbler.conf
new file mode 100644
index 0000000..011760a
--- /dev/null
+++ b/config/cobbler.conf
@@ -0,0 +1,14 @@
+# This configuration file allows cobbler data
+# to be accessed over HTTP.
+
+AliasMatch ^/cblr(.*)?$ "/var/www/cobbler$1"
+AliasMatch ^/cobbler_track(.*)?$ "/var/www/cobbler$1"
+AliasMatch ^/cobbler(.*)?$ "/var/www/cobbler$1"
+
+<Directory "/var/www/cobbler">
+ Options Indexes FollowSymLinks
+ AllowOverride None
+ Order allow,deny
+ Allow from all
+</Directory>
+
diff --git a/config/cobblerd b/config/cobblerd
new file mode 100755
index 0000000..756fa00
--- /dev/null
+++ b/config/cobblerd
@@ -0,0 +1,91 @@
+#!/bin/sh
+#
+# cobblersyslogd Cobbler kickstart status monitor
+#
+# chkconfig: 345 99 99
+# description: This is a daemon that provides remote cobbler info to koan
+# clients and also logs installer syslog activitity.
+#
+# processname: /usr/bin/cobbler_syslogd
+
+# Sanity checks.
+[ -x /usr/bin/cobbler_syslogd ] || exit 0
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+RETVAL=0
+
+start() {
+ echo -n $"Starting cobbler daemon: "
+ if test -f /var/lock/subsys/cobblersyslogd ; then
+ echo_failure
+ echo
+ return 1
+ fi
+ /usr/bin/cobbler_syslogd
+ RETVAL=$?
+ echo_success
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/cobblersyslogd
+ return $RETVAL
+}
+
+
+stop() {
+ echo -n $"Stopping cobbler daemon: "
+ if ! test -f /var/lock/subsys/cobblersyslogd ; then
+ echo_failure
+ echo
+ return 1
+ fi
+ pkill cobbler_syslogd
+ RETVAL=$?
+ rm /var/lock/subsys/cobblersyslogd
+ echo_success
+ echo
+ return $RETVAL
+}
+
+mystatus() {
+ if test -f /var/lock/subsys/cobblersyslogd ; then
+ echo "cobbblerd is running..."
+ return 0
+ fi
+ echo "cobbler_syslogd is stopped"
+ echo
+ return 0
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ mystatus
+ RETVAL=$?
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ condrestart)
+ if [ -f /var/lock/subsys/cobblersyslogd ]; then
+ stop
+ start
+ fi
+ ;;
+ reload)
+ echo "can't reload configuration, you have to restart it"
+ RETVAL=$?
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}"
+ ;;
+esac
+exit $RETVAL
+
diff --git a/config/rsync.exclude b/config/rsync.exclude
new file mode 100644
index 0000000..15c6993
--- /dev/null
+++ b/config/rsync.exclude
@@ -0,0 +1,11 @@
+### files to exclude from "cobbler import" commands that use
+### rsync mirrors. by default ISOs, PPC code, and debug
+### RPM's are not transferred. Some users may want to
+### re-enable debug RPM's.
+**/debug/**
+**/ppc/**
+**/source/**
+**/SRPMS/**
+**/*.iso
+**/openoffice.org-langpack**
+**/kde-i18n**